﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using Xamarin.Forms;
using Xamarin.Forms.Xaml;

namespace XamSample.Samples
{
    [XamlCompilation(XamlCompilationOptions.Compile)]
    public partial class TappedGestureCommandParameter : ContentPage
    {
        public TappedGestureCommandParameter()
        {
            InitializeComponent();
        }


        private async void TapGestureRecognizer_Tapped(object sender, EventArgs e)
        {
            try
            {
                Frame frame = (Frame)sender;
                TapGestureRecognizer tapGesture = (TapGestureRecognizer)frame.GestureRecognizers[0];
                await DisplayAlert("Info", "You selected " + tapGesture.CommandParameter.ToString(), "Ok");
            }
            catch (Exception ex)
            {
                await DisplayAlert("Error", ex.Message.ToString(), "Ok");
            }
        }
    }
}