﻿using System.Threading.Tasks;

using Xamarin.Forms;
using Xamarin.Forms.Xaml;

namespace XamSample
{
    [XamlCompilation(XamlCompilationOptions.Compile)]
	public partial class DarkScreen : ContentPage
	{
		public DarkScreen ()
		{
			InitializeComponent ();
            NavigationPage.SetHasNavigationBar(this, false);
            LogoAnimation();
        }

        public async Task LogoAnimation()
        {
            imgLogo.Opacity = 0;
            await imgLogo.FadeTo(1, 3000);
            Application.Current.MainPage = new NavigationPage(new Page1());
        }
    }
}