﻿using System.Threading.Tasks;
using Xamarin.Forms;

namespace XamSample
{
    public partial class MainPage : ContentPage
    {

        public MainPage(string image)
        {
            InitializeComponent();
            NavigationPage.SetHasNavigationBar(this, false);
            LogoAnimation(image);
        }

        public async Task LogoAnimation(string image)
        {
            if (string.IsNullOrWhiteSpace(image))
            {
                imgLogo.Source = "android.png";
            }
            else
            {
                imgLogo.Source = image;
            }

            imgLogo.Opacity = 0;
            await imgLogo.FadeTo(1, 3000);
            Application.Current.MainPage = new NavigationPage(new Page1());
        }
    }
}